Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.blaf
Class JboMediaTag

`java.lang.Object
oracle.cabo.ui.jsps.tags.BaseTag
oracle.cabo.ui.jsps.tags.BaseUINodeTag
oracle.cabo.ui.jsps.tags.MediaTag
oracle.jbo.html.jsp.blaf.JboMediaTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, oracle.cabo.ui.jsps.tags.UINodeEnvelopeTag, oracle.cabo.ui.jsps.tags.UINodeTag, oracle.cabo.ui.jsps.tags.UIXTag

public class JboMediaTag
extends oracle.cabo.ui.jsps.tags.MediaTag

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`JboMediaTag()` Constructor

Method Summary
`java.lang.String` | `getAmConfig()`
`java.lang.String` | `getAttrName()`
`java.lang.String` | `getDatasource()`
`protected javax.servlet.jsp.PageContext` | `getPageContext()`
`void` | `release()` releaseBean
`void` | `setAmConfig(java.lang.String amConfig)`
`void` | `setAttrName(java.lang.String newAttrName)`
`void` | `setDatasource(java.lang.String newDatasource)`
`void` | `setProperties(oracle.cabo.ui.MutableUINode node)` initializeProperties

Methods inherited from class oracle.cabo.ui.jsps.tags.MediaTag
`createUINode, setAutostart, setAutostartBinding, setContentType, setContentTypeBinding, setControls, setControlsBinding, setHeight, setHeightBinding, setInlineStyle, setInlineStyleBinding, setInnerHeight, setInnerHeightBinding, setInnerWidth, setInnerWidthBinding, setOnClick, setOnClickBinding, setOnDoubleClick, setOnDoubleClickBinding, setOnKeyDown, setOnKeyDownBinding, setOnKeyPress, setOnKeyPressBinding, setOnKeyUp, setOnKeyUpBinding, setOnMouseDown, setOnMouseDownBinding, setOnMouseMove, setOnMouseMoveBinding, setOnMouseOut, setOnMouseOutBinding, setOnMouseOver, setOnMouseOverBinding, setOnMouseUp, setOnMouseUpBinding, setPlayCount, setPlayCountBinding, setPlayer, setPlayerBinding, setRendered, setRenderedBinding, setShortDesc, setShortDescBinding, setSource, setSourceBinding, setStandbyText, setStandbyTextBinding, setStyleClass, setStyleClassBinding, setWidth, setWidthBinding`

Methods inherited from class oracle.cabo.ui.jsps.tags.BaseUINodeTag
`addNode, doEndTag, doStartTag, getAttributeValue, getBoundAttributeValue, getExposeBeanWithKey, getId, getParent, getUINode, parseBinding, parseBinding, parseBoolean, parseBoundValue, parseChar, parseDate, parseInt, parseLong, parseStringArray, setAttributeValue, setAttributeValue, setBoundAttributeValue, setId, setNodeID, setPageContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### JboMediaTag

    public JboMediaTag()

  Constructor

Method Detail

### getDatasource

    public java.lang.String getDatasource()

### setDatasource

    public void setDatasource(java.lang.String newDatasource)

### getAttrName

    public java.lang.String getAttrName()

### setAttrName

    public void setAttrName(java.lang.String newAttrName)

### getAmConfig

    public java.lang.String getAmConfig()

### setAmConfig

    public void setAmConfig(java.lang.String amConfig)

### setProperties

    public void setProperties(oracle.cabo.ui.MutableUINode node)

  initializeProperties

### release

    public void release()

  releaseBean

### getPageContext

    protected javax.servlet.jsp.PageContext getPageContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.